
<ion-header>

</ion-header>


<ion-content padding class="content">
  <ion-item class="search-container">
    <ion-label floating>Search Product</ion-label>
    <ion-input type="text" class="search-input" [(ngModel)]="search" (keyup)="searchProducts()"></ion-input>
  </ion-item>
   <ion-grid>
     <ion-row>
       <ion-col col-6 *ngFor="let product of products" (click)="productClicked(product)">
         <div class="product-item">
           <img src="assets/products/{{product.type}}/{{product.id}}.png">
           <b>{{product.name.substr(0,20)}}</b> <br>
           <span>P {{product.price}}</span>
         </div>
       </ion-col>
     </ion-row>
   </ion-grid>
</ion-content>
